Subject: Re: bug#51921: Anything like ztail

From: Stephen Kitt <[email-masked]>
Date: Wed, 17 Nov 2021 22:58:14 +0100

On Wed, 17 Nov 2021 12:33:33 -0800, Paul Eggert <[email-masked]> wrote:
> On 11/17/21 05:08, Peng Yu wrote:
> > Is there a way to make ztail more efficient?  
> 
> Not in general, no. The compressed file can't be decompressed from 
> random locations.
> 
> There might be some options for doing what you're suggesting if 
> --rsyncable is used during compression (which it usually isn't) and if 
> someone would like to code up something for gzip (which would be 
> nontrivial).

gztool (https://github.com/circulosmeos/gztool) can be used to create
additional indexes and then use that to access a compressed file randomly
without decompressing everything; it supports tail-style operation as well.

Whether it’s actually useful will depend on the scenario.

Regards,

Stephen